import { cn } from "@/lib/utils";

type CardProps = React.ComponentProps<"section">;

export default function Card({ ...props }: CardProps) {
  return (
    <section
      {...props}
      className={cn(
        "w-full",
        "rounded-[16px]",
        "p-[17px]",
        "bg-trial-payment-background",
        "border border-trial-payment-border-secondary",
        "shadow-trial-payment-card",
        "flex flex-col items-center",
        props.className
      )}
    />
  );
}
